You are not logged in.

#76 2010-06-14 13:11:18

zephyr
Member
Registered: 2008-03-20
Posts: 103

Re: [kde-unstable] is up again

Blue Peppers wrote:

Works fine generally for me. 3 problems, 2 that should matter at all. Kwin has been taking up a lot of cpu, to the extent I have to turn compositing off to watch flash videos. I think this might be because of the new blur/translucency algorithm used (which is very nice by the way). Using nvidia propriety driver and xorg 1.8.

Ι use "export QT_NO_GLIB=1" in /etc/profile and cpu load has been ok. It has been added by default in kwin (in trunk, will be in rc1 next week).
However powermizer shows that my nvidia gpu is almost always stuck in the highest performance level with kwin and compositing enabled:/

Blue Peppers wrote:

Desktop activity settings do not seem to be saved at all, this is rather annoying, but I've started to get used to the default activity anyway.
Also kdepim is just not working (tm) but that's probably due to the fact I'm running kdepimlibs from svn and kdepim from extra big_smile

This bug is fixed in trunk.

Offline

#77 2010-06-18 19:35:39

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 568
Website

Re: [kde-unstable] is up again

akonadi 1.3.85-2 needs boost-libs from [testing] now

EDIT: kdeedu-kig too

Offline

#78 2010-06-22 03:38:54

Scnd101
Member
From: Sweden
Registered: 2009-10-25
Posts: 43
Website

Re: [kde-unstable] is up again

I can't get plasma to work, everything else seems to be fine though roll

[anton@localhost ~]$ plasma-desktop
<unknown program name>(3143)/ kdemain: !!{} STARTUP TIME 20353439 START (line: 48 )
QDBusObjectPath: invalid path ""
link XMLID_34_ hasn't been detected!
link XMLID_34_ hasn't been detected!
link XMLID_36_ hasn't been detected!
QFont::setPointSize: Point size <= 0 (0), must be greater than 0
QFont::setPointSize: Point size <= 0 (0), must be greater than 0
QFont::setPointSize: Point size <= 0 (0), must be greater than 0
QFont::setPointSize: Point size <= 0 (0), must be greater than 0
QWidget::setMinimumSize: (/Plasma::Dialog) Negative sizes (-1,-1) are not possible
Couldn't find node center. Skipping rendering.
plasma-desktop: symbol lookup error: /usr/lib/kde4/plasma_engine_calendar.so: undefined symbol: _ZN9KHolidays13HolidayRegion11regionCodesEv
plasma-desktop(3143): Communication problem with  "plasma-desktop" , it probably crashed.
Error message was:  "org.freedesktop.DBus.Error.ServiceUnknown" : " "The name org.kde.plasma-desktop was not provided by any .service files" "

Offline

#79 2010-06-22 10:36:59

petelewis
Trusted User (TU)
From: Birmingham, UK
Registered: 2008-08-14
Posts: 120
Website

Re: [kde-unstable] is up again

Hi,

Thanks for the heads up on boost.

On another issue, I just pulled in the upgrade to Xorg 1.8 yesterday and KWin compositing has stopped working. It just gives me the message of being too slow, then falls back to kwin without compositing. This is probably a problem with the xorg upgrade rather than kwin, but I thought I'd mention it here first, since it's kwin from this repository that's the symtom (and is the unstable package).

I'm using an intel 945GM, and glxinfo reports that direct rendering is on. Indeed, compositing starts briefly, then stops a second or two later due to being really slow. There's nothing out of the ordinary in any of the logs.

Kwin or xorg issue? Anyone seen something similar?

I tried the glib fix above, and that didn't do anything.

Cheers,

Pete.

EDIT: Seems it might be this problem: http://bbs.archlinux.org/viewtopic.php?id=99488

Last edited by petelewis (2010-06-22 11:27:47)


"Cared thou not, thou would have abstained." - Xyne

Offline

#80 2010-06-22 13:14:30

sylvlinux
Member
Registered: 2009-11-02
Posts: 25

Re: [kde-unstable] is up again

I had the same issue but in .kde4/share/config/kwinrc
i have changed

GLDirect=false

by

GLDirect=true

(before the start of kde)
and know it's working
the option for this in system setting doesn't have the same effect.

Offline

#81 2010-06-22 14:25:47

petelewis
Trusted User (TU)
From: Birmingham, UK
Registered: 2008-08-14
Posts: 120
Website

Re: [kde-unstable] is up again

Thanks for the suggestion. It seems I already had GLDirect set to true.

I've just built and installed the git versions of xf86-video-intel and intel-dri, which pulled in a few more -git packages (mesa, libgl etc) and now it's working fine again. I guess not a KDE problem at all.


"Cared thou not, thou would have abstained." - Xyne

Offline

#82 2010-06-25 12:43:35

stavallo
Member
Registered: 2010-05-28
Posts: 34

Re: [kde-unstable] is up again

4.4.90 (4.5 RC1) tarballs have been uploaded to ftp.kde.org. I hope that Andrea will soon build new packages, as usual... Thanks in advance for your fantastic work!

Offline

#83 2010-06-26 08:58:03

Labello
Member
From: Germany
Registered: 2010-01-21
Posts: 315
Website

Re: [kde-unstable] is up again

is there any chance that 4.4.90 will be available soon?

or is there something i am missing?:D


"They say just hold onto your hope but you know if you swallow your pride you will choke"
Alexisonfire - Midnight Regulations

Offline

#84 2010-06-26 13:12:59

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 568
Website

Re: [kde-unstable] is up again

KDE 4.5 RC1 in [kde-unstable]

* added conflicts in kdebase-workspace, kdeutils-kremotecontrol, kdeplasma-addons-applets-social-news packages
* changed KDM user home and remove KDM group in post_install()

...I am still building i686 packages...

Offline

#85 2010-06-26 16:42:27

cebxan
Member
From: Venezuela
Registered: 2010-06-11
Posts: 6

Re: [kde-unstable] is up again

I'm not using kde-unstable right now but I'm tracking its progress. Thank you for your patience and hard work smile

Offline

#86 2010-06-27 00:54:18

flamelab
Member
From: Athens, Hellas (Greece)
Registered: 2007-12-26
Posts: 2,160

Re: [kde-unstable] is up again

@all: Please, if you have time, please check the KDE 4.5 wiki page draft I have here

http://wiki.archlinux.org/index.php/User:Flamelab

for any mistakes.

Last edited by flamelab (2010-06-27 00:54:36)

Offline

#87 2010-06-27 11:08:16

dcrabs
Member
From: Sweden
Registered: 2008-10-03
Posts: 149

Re: [kde-unstable] is up again

I was reading about the blur effect being enabled by default. Which kind of window should be affected? Changing its settings doesn't make any difference.
Everything related to plasma isn't blurred here. Means I cannot read anything in plasma messages or networkmanager when there is an underlying window.
Any ideas?

Offline

#88 2010-06-27 20:00:44

karoshi
Member
From: Marburg
Registered: 2008-02-26
Posts: 182

Re: [kde-unstable] is up again

Kmix is using a lot CPU (13-15%) on my system (i686). Someone else with the problem, or possible solution?  Already deleted kmix files in config/apps, but didnt help...


It's a bug planet!

Offline

#89 2010-06-28 07:56:28

petelewis
Trusted User (TU)
From: Birmingham, UK
Registered: 2008-08-14
Posts: 120
Website

Re: [kde-unstable] is up again

Hi Andrea,

Thanks again for getting these built and up so fast.

The current conflicts between packages mean that I can't do 'pacman -S kde':

resolving dependencies...
looking for inter-conflicts...
error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
:: kdeplasma-addons-applets-social-news and kdeplasma-addons-applets-opendesktop are in conflict

Is this intentional? I usually just install the whole kde group each time I upgrade to ensure I get any new packages.

Thanks.


"Cared thou not, thou would have abstained." - Xyne

Offline

#90 2010-06-28 10:23:55

sxe
Member
From: Cologne
Registered: 2009-06-04
Posts: 93
Website

Re: [kde-unstable] is up again

hey guys, thx for the packages they are working great (x86_64).

I have only some small glitches and some crashes either but so far its quit usable.

I have only one problem i cannot fix, my run command dialog (krunner) is not transparent and has a strange "fade in" effect when pressing "alt + F2".  Has anyone the same problem or can help me with fixing it?

Thx

Offline

#91 2010-06-28 11:32:22

drsjlazar
Member
From: Kasama
Registered: 2009-10-01
Posts: 130
Website

Re: [kde-unstable] is up again

I am also getting a conflict error... I uninstalled KDE first. 'sudo pacman -Rd kde' And I am running 64bit.

[me@arch ~]$ sudo pacman -S kde
resolving dependencies...
looking for inter-conflicts...
error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
:: kdebase-workspace and kdebase-kinfocenter are in conflict

Offline

#92 2010-06-29 00:28:10

drsjlazar
Member
From: Kasama
Registered: 2009-10-01
Posts: 130
Website

Re: [kde-unstable] is up again

I sort of solved the above problem by completely removing all packages associated with KDE and then installing the kde-meta groups I wanted.

I've been using and configuring it for a few hours now. (I completely removed ~/.kde4) KDE 4.5 is usable as it is... but I am unimpressed. Nepomuk search in Dolphin is still useless. There are some annoying regressions in the desktop effects department. All the new fancy blur effects won't work on my integrated Intel graphics... but worse, effects that used to work (genie effect, cover switch, etc) now do not work. sad

Last edited by drsjlazar (2010-06-29 00:28:50)

Offline

#93 2010-06-29 13:04:26

Wu
Member
Registered: 2009-12-27
Posts: 64

Re: [kde-unstable] is up again

drsjlazar wrote:

I've been using and configuring it for a few hours now. (I completely removed ~/.kde4) KDE 4.5 is usable as it is... but I am unimpressed.

Have to say, I have the same feeling. Maybe I misunderstood the "we will focus on polishing" thing from the plasma-devs, but all I'm starting to get annoyed by regressions (the combobox in the add widget dialog has lost focus), lack of polishing (hope they will find an icon for the activity entry in the cashew for 4.5.0)  and performance hiccups (the new blur effect is a CPU black-hole) of kde.

Anyway, as in every summer I'm moving to my gaming box, so I'll leave Linux for a couple of months. Hope things will get better by then.

Farewell smile

Offline

#94 2010-06-29 18:21:34

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 568
Website

Re: [kde-unstable] is up again

@petelewis @drsjlazar
if you have KDE 4.4.x on your system, why are you trying to install it using pacman -S kde? You simply have to use pacman -Syu

Offline

#95 2010-06-30 13:44:42

drsjlazar
Member
From: Kasama
Registered: 2009-10-01
Posts: 130
Website

Re: [kde-unstable] is up again

bash wrote:

@petelewis @drsjlazar
if you have KDE 4.4.x on your system, why are you trying to install it using pacman -S kde? You simply have to use pacman -Syu

I usually customize my desktop heavily... I remove a lot of default apps and packages and use others. So for an upgrade such as this, I prefer starting with a clean slate the way the devs intended it to be. It's as close to a fresh install as possible without a reinstall. Is there something inherently wrong with removing all KDE 4.4 and installing 4.5?

About 4.5, Nepomuk actually works! w00t! I had to let it finish indexing completely, else it was spitting all kinds of errors. It did take a long time to finish indexing (about a full day)... that too after reducing the number of indexed directories to ~60GB. But... it does work and I am getting meaningful results for my searches.

The desktop effects regressions continue and it seems I am not the only one facing them. People with integrated Intel cards which are perfectly capable of running things like Compiz are being left out of a ton of Kwin effects. Not good.

Other things e.g. tiling have a lot of potential but seem to get in the way of doing things sometimes.

Offline

#96 2010-06-30 18:07:58

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 568
Website

Re: [kde-unstable] is up again

Well, kdepim 4.5-beta1 is out.
I am building it right now, but I still do not know if it will be in [kde-unstable] or not. Let me test it before.

The first release candidate of kdepim will released with KDE 4.5.0; if it's enough stable I could move it in [extra] with KDE (end of August). Or we wait KDE 4.5.1.

Offline

#97 2010-06-30 21:05:10

ChemBro
Member
Registered: 2008-10-22
Posts: 682

Re: [kde-unstable] is up again

bash wrote:

The first release candidate of kdepim will released with KDE 4.5.0; if it's enough stable I could move it in [extra] with KDE (end of August). Or we wait KDE 4.5.1.

I would wait for KDE 4.5.1, but that's just my opinion.

Offline

#98 2010-06-30 22:41:12

flamelab
Member
From: Athens, Hellas (Greece)
Registered: 2007-12-26
Posts: 2,160

Re: [kde-unstable] is up again

bash wrote:

Well, kdepim 4.5-beta1 is out.
I am building it right now, but I still do not know if it will be in [kde-unstable] or not. Let me test it before.

The first release candidate of kdepim will released with KDE 4.5.0; if it's enough stable I could move it in [extra] with KDE (end of August). Or we wait KDE 4.5.1.

I think that waiting till 4.5.1 would be for the best..!

Offline

#99 2010-07-01 02:21:01

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 568
Website

Re: [kde-unstable] is up again

Yes, I also think so...

However, you can find kdepim* 4.5beta1 packages (x86_64) here
Please, give me some feedback.

Remember to backup config files

EDIT: I am unable to send mails using kmail.

Offline

#100 2010-07-02 14:03:19

stavallo
Member
Registered: 2010-05-28
Posts: 34

Re: [kde-unstable] is up again

I installed kdepim 4.5 beta 1 packaged by bash (many thanks, as usual) . Some comments:

- korganizer did not start because libincidenceeditors.so.4.5.0 could not be found. I noticed there is a new subfolder (incidenceeditors) in kdepim, so I thought to add it to kdepim-libkdepim. I modified the PKGBUILD as follows:

@@ -222,7 +35,7 @@
                    'kdepim-strigi-analyzer' 'kdepim-akonadi')
        replaces=('kdepim-icons' 'kdepim-libkleo' 'kdepim-libkpgp'
                  'kdepim-strigi-analyzer' 'kdepim-akonadi')
-       for i in libkdepim libkdepimdbusinterfaces libkleo libkpgp icons \
+       for i in libkdepim libkdepimdbusinterfaces libkleo libkpgp incidenceeditors icons \
                 messagecomposer messagecore messagelist messageviewer \
                akonadi calendarviews plugins/ktexteditor strigi-analyzer templateparser; do
                cd $srcdir/build/${i}

and rebuilt. Now korganizer starts successfully

- the kmail component is not included in kontact (don't know why...)

- I used a fresh account and started kmail. I tried to create a disconnected imap account (i.e., I tried to download emails for offline usage) but after a couple of hours it was not yet completed and it was taking a lot of cpu and disk space. So, I gave up :-( (I have to say I have more than 25k emails in inbox occupying around 6GB of disk space)

- Then, I tried to create an online imap account and it was doable. I have to say that the email feeder nepomuk agent slows down things a lot and I ended up disabling nepomuk in system settings.

- Sending emails do work here

I will post my impression after a prolonged testing...

Offline

Board footer

Powered by FluxBB